Support » Plugin: W3 Total Cache » PGCache_ContentGrabber “headers already sent” warning

  • Resolved macobserver

    (@macobserver)


    I’m not sure if this is a W3TC error or an error with two of my other plugins (or both), but since it all seems to be related to W3TC, I’ll start here.

    We’re seeing (tons of) errors like this:

    PHP Warning: session_start(): Cannot send session cookie - headers already sent by (output started at [...]/wp-content/plugins/w3-total-cache/PgCache_ContentGrabber.php:359) in [...]/wp-content/plugins/wpforo/wpf-includes/class-notices.php on line 16

    and

    PHP Warning: session_start(): Cannot start session when headers already sent by (output started at [...]/wp-content/plugins/w3-total-cache/PgCache_ContentGrabber.php:359) in [...]/wp-content/plugins/wordpress-social-login/wp-social-login.php on line 64

    It seems maybe the order in which things are trying to fire might also be related here?

    Anyone seen this before and/or have any thoughts? Thanks!

    • This topic was modified 1 year, 5 months ago by macobserver.
Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi @macobserver,

    I am sorry to hear you are getting those errors and I have not seen this particular problem before. I have reached out to the development for some additional help and I hope to get back to you soon with a solution.

    Hi @macobserver,

    It looks like the line referenced in the errors you provided
    /wp-content/plugins/w3-total-cache/PgCache_ContentGrabber.php:359
    is actually a newline character in the most recent version of W3TC. I recommend running any available plugin updates to see if that addresses the errors you are seeing.

    Please let us know if that fixes the problem or if there is anything else we can do to help.

    • This reply was modified 1 year, 5 months ago by Joseph Wood.
    Thread Starter macobserver

    (@macobserver)

    Thanks, @joe9663 — are you saying this is a bug in W3TC and I should look for an update? I’m not thinking a newline would cause this issue.

    We have no other updates for our existing plugins, and especially nothing for the two that seem to point to this issue.

    Hi @macobserver,

    Yes, it could be a bug with how the newest version handles the header info and we would appreciate your help if possible.

    When did you start seeing these errors? Did they only start appearing after updating W3TC to the latest version or were there other configuration changes that occurred before this happened?

    If it is a bug with the latest version of W3TC then you can try changing to the last stable version to get rid of there errors until we are able to determine the correct solution.

    Thank you for your patience and I hope that we can get this sorted out for you quickly.

    Plugin Support Marko Vasiljevic

    (@vmarko)

    No activity for a week.
    Marking topic as resolved.

    Thread Starter macobserver

    (@macobserver)

    Hi @vmarko @joe9663 — Sorry, I didn’t see the original notification last week. We migrated servers about 3 weeks ago, but in looking at the old logs on the old server, I _think_ this has been going on for a very long time and wasn’t introduced in a new update.

    I’m happy to help troubleshoot more!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘PGCache_ContentGrabber “headers already sent” warning’ is closed to new replies.